Subject: Re: bug#36708: Serving an up-to-date https://guix.gnu.org/packages

From: Mark H Weaver <[email-masked]>
Date: Thu, 22 Aug 2019 17:11:54 -0400

Ludovic Courtès <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> skribis:
>
>>    The package list at <https://guix.gnu.org/packages> is made from the
>>    current ‘guix’ package, not from the latest ‘master’.  We should
>>    work to build it dynamically with something like hpcguix-web, or to
>>    generate it from an inferior of ‘master’.
>
> I went for the latter option in commit
> 9dbb0073be83c25b44400a62ec22d0b240a88130 of guix-artwork.git.
>
> That approach was also motivated by the fact that people would get
> different behavior depending on whether their ‘guix’ package depends on
> guile-json@1 or @3, as reported by nixo on IRC.
>
> That’s also the reason why the web site was no longer updated since
> 9c6f714305460e99c681d9b7f368e13bfe49fdd9 was pushed: the ‘guix’ on
> berlin is still on guile-json@1, but said commit expects guile-json@3.
>
> If everything goes well, we should see an up-to-date list at
> <https://guix.gnu.org/packages> within 40 minutes.

Looks good to me.  I'm closing this bug now.

   Thank you! :)
      Mark